Skip to main content
GET
Get Monitor Run

Authorizations

Authorization
string
header
required

Use the 'Authorization' header with the format 'Key '

Path Parameters

run_id
integer
required

The unique identifier of the run to retrieve.

id
integer
required

The unique identifier of the monitor associated with the run.

Response

Successful Response

monitor_id
integer
required

Unique identifier for the associated monitor.

run_id
integer
required

Unique identifier for the monitor run result.

state
enum<string>
required

Current state of the monitor run result.

Available options:
ok,
alert,
error,
learning,
checking,
created,
skipped,
cancelled,
queued
warnings
string[]
required

List of warning messages generated during the run.

diff_id
integer | null

Unique identifier for the associated datadiff.

error
string | null

Error message if the run encountered an error.

started_at
string<date-time> | null

Timestamp when the monitor run started.